## com.imcode.imcms.api
Class FileDocument.FileDocumentFile

    java.lang.Object
      com.imcode.imcms.api.FileDocument.FileDocumentFile

All Implemented Interfaces:
  javax.activation.DataSource

Enclosing class:
  FileDocument

    public static class FileDocument.FileDocumentFile

extends java.lang.Object
implements javax.activation.DataSource

Constructor Summary
`FileDocument.FileDocumentFile(javax.activation.DataSource dataSource)`
`FileDocument.FileDocumentFile(FileDocumentDomainObject.FileDocumentFile file)`

Method Summary
`java.lang.String` `getContentType()`
`java.lang.String` `getId()`
`java.io.InputStream` `getInputStream()`
`FileDocumentDomainObject.FileDocumentFile` `getInternal()`
`java.lang.String` `getName()`
`java.io.OutputStream` `getOutputStream()`
`long` `getSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDocument.FileDocumentFile

    public FileDocument.FileDocumentFile(javax.activation.DataSource dataSource)

### FileDocument.FileDocumentFile

    public FileDocument.FileDocumentFile(FileDocumentDomainObject.FileDocumentFile file)

Method Detail

### getInternal

    public FileDocumentDomainObject.FileDocumentFile getInternal()

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.lang.UnsupportedOperationException`
    `java.io.IOException`

### getSize

    public long getSize()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getId

    public java.lang.String getId()